# encoding: utf-8

import es, gamethread, playerlib

# On ajoute quelques infos à afficher lorsqu'un utilisateur tape 'es_load' dans la console
info = es.AddonInfo()
info.name = 'decof' # nom du script
info.version = '2.0.0' # version
info.author = 'Fantole' # auteur
info.url = 'http://mattie.info/forums/' # lien où le script peut être trouvé
info.description = 'Afficher une image transparante sur l\'écran du client' # description courte
info.tags = 'decoration,fantole,overlay,fetes' # mots clés

def load():
    es.ServerVar('version_decof', info.version, 'Version du script decof').makepublic()
    convar_decof_fete = es.ServerVar('decof_fete', 0)
    convar_decof_affichagescreen = es.ServerVar('decof_affichagescreen', 0)
    convar_decof_tempsrestart = es.ServerVar('decof_tempsrestart', 0)
    convar_decof_restart = es.ServerVar('decof_restart', 0)
    convar_mp_restartgame = es.ServerVar('mp_restartgame')

    es.mexec('../addons/eventscripts/decof/cfg/config.cfg')

    if int(convar_decof_restart) == 1:
        convar_mp_restartgame.set(int(convar_decof_tempsrestart))
	
    es.msg('#multi', '#green [Decof]#lightgreen ON')

def es_map_start(event_var):
    es.stringtable('downloadables', 'materials/fetes/%s.vmt' % (es.server_var['decof_fete']))
    es.stringtable('downloadables', 'materials/fetes/%s.vmt' % (es.server_var['decof_fete']))

def unload():    
    es.server.cmd('es_xfire %s env_screenoverlay StopOverlays' % es.getuserid())
    es.msg('#multi', '#green [Decof]#lightgreen OFF')

def overlay():
    global decof_tempuserid
    decof_tempuserid = es.getuserid()
    es.server.cmd('es_give %s env_screenoverlay' % decof_tempuserid)
    decof_fete_tmp = 'OverlayName1 fetes\%s' % (es.server_var['decof_fete'])
    es.server.cmd('es_xfire %s env_screenoverlay addoutput "%s"' % (decof_tempuserid, decof_fete_tmp))
    es.server.cmd('es_xfire %s env_screenoverlay StartOverlays' % decof_tempuserid)
    if int(es.ServerVar('decof_affichagescreen')) != 0 and str(es.ServerVar('decof_affichagescreen') != 'end'):
        gamethread.delayed(es.server_var['decof_affichagescreen'], es.server.cmd, 'es_xfire %s env_screenoverlay StopOverlays' % decof_tempuserid)
        es.msg('OVERLAY OK')

def round_start(event_var):
    overlay()

def round_end(event_var):
    global decof_tempuserid
    if es.server_var['decof_affichagescreen'] == 'end':
        for decof_tempuserid in playerlib.getUseridList("#human"):
            es.server.cmd('es_xfire %s env_screenoverlay StopOverlays' % decof_tempuserid)
